#include <m8c.h>

// Generic sensor functions
void LSM303_Start( void );
void LSM303_Stop( void );

// Acceleration sensor access functions
void LSM303_TxReg_Acc(unsigned char address, unsigned char data);
unsigned char LSM303_RxReg_Acc(unsigned char address);
unsigned char LSM303_Check_DRDY_Acc( void );

// Magnetic sensor access functions
void LSM303_TxReg_Mag(unsigned char address, unsigned char data);
unsigned char LSM303_RxReg_Mag(unsigned char address);
unsigned char LSM303_Check_DRDY_Mag( void );

int MagSensorToPhysicalVal(int sensorVal, unsigned char Zaxis);
